Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseBox

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseBox

All Implemented Interfaces:
  java.io.Serializable, JRBox, JRStyleContainer

Deprecated. Replaced by `JRBaseLineBox`

    public class JRBaseBox

extends java.lang.Object
implements JRBox, java.io.Serializable

This is useful for drawing borders around text elements and images. Boxes can have borders and paddings, which can have different width and colour on each side of the element.

Version:
  $Id: JRBaseBox.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRLineBox` | `lineBox` Deprecated.

Constructor Summary
`JRBaseBox()` Deprecated. Replaced by `JRBaseLineBox.JRBaseLineBox(JRBoxContainer)`
`JRBaseBox(byte pen, java.awt.Color color)` Deprecated. Replaced by `JRBaseLineBox.JRBaseLineBox(JRBoxContainer)`
`JRBaseBox(JRBox box)` Deprecated. Replaced by `JRLineBox.clone(JRBoxContainer)`

Method Summary
`byte` | `getBorder()` Deprecated. Replaced by `JRLineBox.getPen()`
`java.awt.Color` | `getBorderColor()` Deprecated. Replaced by `JRLineBox.getPen()`
`byte` | `getBottomBorder()` Deprecated. Replaced by `JRLineBox.getBottomPen()`
`java.awt.Color` | `getBottomBorderColor()` Deprecated. Replaced by `JRLineBox.getBottomPen()`
`int` | `getBottomPadding()` Deprecated. Replaced by `JRLineBox.getBottomPadding()`
`JRDefaultStyleProvider` | `getDefaultStyleProvider()` Deprecated. Replaced by `JRBaseLineBox.getDefaultStyleProvider()`
`byte` | `getLeftBorder()` Deprecated. Replaced by `JRLineBox.getLeftPen()`
`java.awt.Color` | `getLeftBorderColor()` Deprecated. Replaced by `JRLineBox.getLeftPen()`
`int` | `getLeftPadding()` Deprecated. Replaced by `JRLineBox.getLeftPadding()`
`java.lang.Byte` | `getOwnBorder()` Deprecated. Replaced by `JRLineBox.getPen()`
`java.awt.Color` | `getOwnBorderColor()` Deprecated. Replaced by `JRLineBox.getPen()`
`java.lang.Byte` | `getOwnBottomBorder()` Deprecated. Replaced by `JRLineBox.getBottomPen()`
`java.awt.Color` | `getOwnBottomBorderColor()` Deprecated. Replaced by `JRLineBox.getBottomPen()`
`java.lang.Integer` | `getOwnBottomPadding()` Deprecated. Replaced by `JRLineBox.getOwnBottomPadding()`
`java.lang.Byte` | `getOwnLeftBorder()` Deprecated. Replaced by `JRLineBox.getLeftPen()`
`java.awt.Color` | `getOwnLeftBorderColor()` Deprecated. Replaced by `JRLineBox.getLeftPen()`
`java.lang.Integer` | `getOwnLeftPadding()` Deprecated. Replaced by `JRLineBox.getOwnLeftPadding()`
`java.lang.Integer` | `getOwnPadding()` Deprecated. Replaced by `JRLineBox.getOwnPadding()`
`java.lang.Byte` | `getOwnRightBorder()` Deprecated. Replaced by `JRLineBox.getRightPen()`
`java.awt.Color` | `getOwnRightBorderColor()` Deprecated. Replaced by `JRLineBox.getRightPen()`
`java.lang.Integer` | `getOwnRightPadding()` Deprecated. Replaced by `JRLineBox.getOwnRightPadding()`
`java.lang.Byte` | `getOwnTopBorder()` Deprecated. Replaced by `JRLineBox.getTopPen()`
`java.awt.Color` | `getOwnTopBorderColor()` Deprecated. Replaced by `JRLineBox.getTopPen()`
`java.lang.Integer` | `getOwnTopPadding()` Deprecated. Replaced by `JRLineBox.getOwnTopPadding()`
`int` | `getPadding()` Deprecated. Replaced by `JRLineBox.getPadding()`
`byte` | `getRightBorder()` Deprecated. Replaced by `JRLineBox.getRightPen()`
`java.awt.Color` | `getRightBorderColor()` Deprecated. Replaced by `JRLineBox.getRightPen()`
`int` | `getRightPadding()` Deprecated. Replaced by `JRLineBox.getRightPadding()`
`JRStyle` | `getStyle()` Deprecated. Replaced by `JRBaseLineBox.getStyle()`
`java.lang.String` | `getStyleNameReference()` Deprecated. Replaced by `JRBaseLineBox.getStyleNameReference()`
`byte` | `getTopBorder()` Deprecated. Replaced by `JRLineBox.getTopPen()`
`java.awt.Color` | `getTopBorderColor()` Deprecated. Replaced by `JRLineBox.getTopPen()`
`int` | `getTopPadding()` Deprecated. Replaced by `JRLineBox.getTopPadding()`
`void` | `setBorder(byte border)` Deprecated. Replaced by `JRLineBox.getPen()`
`void` | `setBorder(java.lang.Byte border)` Deprecated. Replaced by `JRLineBox.getPen()`
`void` | `setBorderColor(java.awt.Color borderColor)` Deprecated. Replaced by `JRLineBox.getPen()`
`void` | `setBottomBorder(byte bottomBorder)` Deprecated. Replaced by `JRLineBox.getBottomPen()`
`void` | `setBottomBorder(java.lang.Byte bottomBorder)` Deprecated. Replaced by `JRLineBox.getBottomPen()`
`void` | `setBottomBorderColor(java.awt.Color bottomBorderColor)` Deprecated. Replaced by `JRLineBox.getBottomPen()`
`void` | `setBottomPadding(int bottomPadding)` Deprecated. Replaced by `JRLineBox.setBottomPadding(int)`
`void` | `setBottomPadding(java.lang.Integer bottomPadding)` Deprecated. Replaced by `JRLineBox.setBottomPadding(Integer)`
`void` | `setLeftBorder(byte leftBorder)` Deprecated. Replaced by `JRLineBox.getLeftPen()`
`void` | `setLeftBorder(java.lang.Byte leftBorder)` Deprecated. Replaced by `JRLineBox.getLeftPen()`
`void` | `setLeftBorderColor(java.awt.Color leftBorderColor)` Deprecated. Replaced by `JRLineBox.getLeftPen()`
`void` | `setLeftPadding(int leftPadding)` Deprecated. Replaced by `JRLineBox.setLeftPadding(int)`
`void` | `setLeftPadding(java.lang.Integer leftPadding)` Deprecated. Replaced by `JRLineBox.setLeftPadding(Integer)`
`void` | `setPadding(int padding)` Deprecated. Replaced by `JRLineBox.setPadding(int)`
`void` | `setPadding(java.lang.Integer padding)` Deprecated. Replaced by `JRLineBox.setPadding(Integer)`
`void` | `setRightBorder(byte rightBorder)` Deprecated. Replaced by `JRLineBox.getRightPen()`
`void` | `setRightBorder(java.lang.Byte rightBorder)` Deprecated. Replaced by `JRLineBox.getRightPen()`
`void` | `setRightBorderColor(java.awt.Color rightBorderColor)` Deprecated. Replaced by `JRLineBox.getRightPen()`
`void` | `setRightPadding(int rightPadding)` Deprecated. Replaced by `JRLineBox.setRightPadding(int)`
`void` | `setRightPadding(java.lang.Integer rightPadding)` Deprecated. Replaced by `JRLineBox.setRightPadding(Integer)`
`void` | `setTopBorder(byte topBorder)` Deprecated. Replaced by `JRLineBox.getTopPen()`
`void` | `setTopBorder(java.lang.Byte topBorder)` Deprecated. Replaced by `JRLineBox.getTopPen()`
`void` | `setTopBorderColor(java.awt.Color topBorderColor)` Deprecated. Replaced by `JRLineBox.getTopPen()`
`void` | `setTopPadding(int topPadding)` Deprecated. Replaced by `JRLineBox.setTopPadding(int)`
`void` | `setTopPadding(java.lang.Integer topPadding)` Deprecated. Replaced by `JRLineBox.setTopPadding(Integer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lineBox

    protected JRLineBox lineBox

  Deprecated.

Constructor Detail

### JRBaseBox

    public JRBaseBox()

  Deprecated. Replaced by `JRBaseLineBox.JRBaseLineBox(JRBoxContainer)`

### JRBaseBox

    public JRBaseBox(byte pen,
                     java.awt.Color color)

  Deprecated. Replaced by `JRBaseLineBox.JRBaseLineBox(JRBoxContainer)`

### JRBaseBox

    public JRBaseBox(JRBox box)

  Deprecated. Replaced by `JRLineBox.clone(JRBoxContainer)`

  Creates a clone of a box object.

  Parameters:
    `box` - the object to be cloned

Method Detail

### getDefaultStyleProvider

    public JRDefaultStyleProvider getDefaultStyleProvider()

  Deprecated. Replaced by `JRBaseLineBox.getDefaultStyleProvider()`

  Specified by:
    `getDefaultStyleProvider` in interface `JRStyleContainer`

### getStyle

    public JRStyle getStyle()

  Deprecated. Replaced by `JRBaseLineBox.getStyle()`

  Description copied from interface: `JRStyleContainer`
  Returns this object's style.

  Specified by:
    `getStyle` in interface `JRStyleContainer`
  Returns:
    this object's style

### getStyleNameReference

    public java.lang.String getStyleNameReference()

  Deprecated. Replaced by `JRBaseLineBox.getStyleNameReference()`

  Description copied from interface: `JRStyleContainer`
  Returns the name of an external style which is to be used by this object.

  External styles are defined in `templates` and are resolved at fill time. This attribute is only effective if no direct style (as returned by `getStyle()` is specified for this object.

  Specified by:
    `getStyleNameReference` in interface `JRStyleContainer`
  Returns:
    the name of an external style

### getBorder

    public byte getBorder()

  Deprecated. Replaced by `JRLineBox.getPen()`

  Specified by:
    `getBorder` in interface `JRBox`

### getOwnBorder

    public java.lang.Byte getOwnBorder()

  Deprecated. Replaced by `JRLineBox.getPen()`

  Specified by:
    `getOwnBorder` in interface `JRBox`

### setBorder

    public void setBorder(byte border)

  Deprecated. Replaced by `JRLineBox.getPen()`

  Specified by:
    `setBorder` in interface `JRBox`

### setBorder

    public void setBorder(java.lang.Byte border)

  Deprecated. Replaced by `JRLineBox.getPen()`

  Specified by:
    `setBorder` in interface `JRBox`

### getBorderColor

    public java.awt.Color getBorderColor()

  Deprecated. Replaced by `JRLineBox.getPen()`

  Specified by:
    `getBorderColor` in interface `JRBox`

### getOwnBorderColor

    public java.awt.Color getOwnBorderColor()

  Deprecated. Replaced by `JRLineBox.getPen()`

  Specified by:
    `getOwnBorderColor` in interface `JRBox`

### setBorderColor

    public void setBorderColor(java.awt.Color borderColor)

  Deprecated. Replaced by `JRLineBox.getPen()`

  Specified by:
    `setBorderColor` in interface `JRBox`

### getPadding

    public int getPadding()

  Deprecated. Replaced by `JRLineBox.getPadding()`

  Specified by:
    `getPadding` in interface `JRBox`

### getOwnPadding

    public java.lang.Integer getOwnPadding()

  Deprecated. Replaced by `JRLineBox.getOwnPadding()`

  Specified by:
    `getOwnPadding` in interface `JRBox`

### setPadding

    public void setPadding(int padding)

  Deprecated. Replaced by `JRLineBox.setPadding(int)`

  Specified by:
    `setPadding` in interface `JRBox`

### setPadding

    public void setPadding(java.lang.Integer padding)

  Deprecated. Replaced by `JRLineBox.setPadding(Integer)`

  Specified by:
    `setPadding` in interface `JRBox`

### getTopBorder

    public byte getTopBorder()

  Deprecated. Replaced by `JRLineBox.getTopPen()`

  Specified by:
    `getTopBorder` in interface `JRBox`

### getOwnTopBorder

    public java.lang.Byte getOwnTopBorder()

  Deprecated. Replaced by `JRLineBox.getTopPen()`

  Specified by:
    `getOwnTopBorder` in interface `JRBox`

### setTopBorder

    public void setTopBorder(byte topBorder)

  Deprecated. Replaced by `JRLineBox.getTopPen()`

  Specified by:
    `setTopBorder` in interface `JRBox`

### setTopBorder

    public void setTopBorder(java.lang.Byte topBorder)

  Deprecated. Replaced by `JRLineBox.getTopPen()`

  Specified by:
    `setTopBorder` in interface `JRBox`

### getTopBorderColor

    public java.awt.Color getTopBorderColor()

  Deprecated. Replaced by `JRLineBox.getTopPen()`

  Specified by:
    `getTopBorderColor` in interface `JRBox`

### getOwnTopBorderColor

    public java.awt.Color getOwnTopBorderColor()

  Deprecated. Replaced by `JRLineBox.getTopPen()`

  Specified by:
    `getOwnTopBorderColor` in interface `JRBox`

### setTopBorderColor

    public void setTopBorderColor(java.awt.Color topBorderColor)

  Deprecated. Replaced by `JRLineBox.getTopPen()`

  Specified by:
    `setTopBorderColor` in interface `JRBox`

### getTopPadding

    public int getTopPadding()

  Deprecated. Replaced by `JRLineBox.getTopPadding()`

  Specified by:
    `getTopPadding` in interface `JRBox`

### getOwnTopPadding

    public java.lang.Integer getOwnTopPadding()

  Deprecated. Replaced by `JRLineBox.getOwnTopPadding()`

  Specified by:
    `getOwnTopPadding` in interface `JRBox`

### setTopPadding

    public void setTopPadding(int topPadding)

  Deprecated. Replaced by `JRLineBox.setTopPadding(int)`

  Specified by:
    `setTopPadding` in interface `JRBox`

### setTopPadding

    public void setTopPadding(java.lang.Integer topPadding)

  Deprecated. Replaced by `JRLineBox.setTopPadding(Integer)`

  Specified by:
    `setTopPadding` in interface `JRBox`

### getLeftBorder

    public byte getLeftBorder()

  Deprecated. Replaced by `JRLineBox.getLeftPen()`

  Specified by:
    `getLeftBorder` in interface `JRBox`

### getOwnLeftBorder

    public java.lang.Byte getOwnLeftBorder()

  Deprecated. Replaced by `JRLineBox.getLeftPen()`

  Specified by:
    `getOwnLeftBorder` in interface `JRBox`

### setLeftBorder

    public void setLeftBorder(byte leftBorder)

  Deprecated. Replaced by `JRLineBox.getLeftPen()`

  Specified by:
    `setLeftBorder` in interface `JRBox`

### setLeftBorder

    public void setLeftBorder(java.lang.Byte leftBorder)

  Deprecated. Replaced by `JRLineBox.getLeftPen()`

  Specified by:
    `setLeftBorder` in interface `JRBox`

### getLeftBorderColor

    public java.awt.Color getLeftBorderColor()

  Deprecated. Replaced by `JRLineBox.getLeftPen()`

  Specified by:
    `getLeftBorderColor` in interface `JRBox`

### getOwnLeftBorderColor

    public java.awt.Color getOwnLeftBorderColor()

  Deprecated. Replaced by `JRLineBox.getLeftPen()`

  Specified by:
    `getOwnLeftBorderColor` in interface `JRBox`

### setLeftBorderColor

    public void setLeftBorderColor(java.awt.Color leftBorderColor)

  Deprecated. Replaced by `JRLineBox.getLeftPen()`

  Specified by:
    `setLeftBorderColor` in interface `JRBox`

### getLeftPadding

    public int getLeftPadding()

  Deprecated. Replaced by `JRLineBox.getLeftPadding()`

  Specified by:
    `getLeftPadding` in interface `JRBox`

### getOwnLeftPadding

    public java.lang.Integer getOwnLeftPadding()

  Deprecated. Replaced by `JRLineBox.getOwnLeftPadding()`

  Specified by:
    `getOwnLeftPadding` in interface `JRBox`

### setLeftPadding

    public void setLeftPadding(int leftPadding)

  Deprecated. Replaced by `JRLineBox.setLeftPadding(int)`

  Specified by:
    `setLeftPadding` in interface `JRBox`

### setLeftPadding

    public void setLeftPadding(java.lang.Integer leftPadding)

  Deprecated. Replaced by `JRLineBox.setLeftPadding(Integer)`

  Specified by:
    `setLeftPadding` in interface `JRBox`

### getBottomBorder

    public byte getBottomBorder()

  Deprecated. Replaced by `JRLineBox.getBottomPen()`

  Specified by:
    `getBottomBorder` in interface `JRBox`

### getOwnBottomBorder

    public java.lang.Byte getOwnBottomBorder()

  Deprecated. Replaced by `JRLineBox.getBottomPen()`

  Specified by:
    `getOwnBottomBorder` in interface `JRBox`

### setBottomBorder

    public void setBottomBorder(byte bottomBorder)

  Deprecated. Replaced by `JRLineBox.getBottomPen()`

  Specified by:
    `setBottomBorder` in interface `JRBox`

### setBottomBorder

    public void setBottomBorder(java.lang.Byte bottomBorder)

  Deprecated. Replaced by `JRLineBox.getBottomPen()`

  Specified by:
    `setBottomBorder` in interface `JRBox`

### getBottomBorderColor

    public java.awt.Color getBottomBorderColor()

  Deprecated. Replaced by `JRLineBox.getBottomPen()`

  Specified by:
    `getBottomBorderColor` in interface `JRBox`

### getOwnBottomBorderColor

    public java.awt.Color getOwnBottomBorderColor()

  Deprecated. Replaced by `JRLineBox.getBottomPen()`

  Specified by:
    `getOwnBottomBorderColor` in interface `JRBox`

### setBottomBorderColor

    public void setBottomBorderColor(java.awt.Color bottomBorderColor)

  Deprecated. Replaced by `JRLineBox.getBottomPen()`

  Specified by:
    `setBottomBorderColor` in interface `JRBox`

### getBottomPadding

    public int getBottomPadding()

  Deprecated. Replaced by `JRLineBox.getBottomPadding()`

  Specified by:
    `getBottomPadding` in interface `JRBox`

### getOwnBottomPadding

    public java.lang.Integer getOwnBottomPadding()

  Deprecated. Replaced by `JRLineBox.getOwnBottomPadding()`

  Specified by:
    `getOwnBottomPadding` in interface `JRBox`

### setBottomPadding

    public void setBottomPadding(int bottomPadding)

  Deprecated. Replaced by `JRLineBox.setBottomPadding(int)`

  Specified by:
    `setBottomPadding` in interface `JRBox`

### setBottomPadding

    public void setBottomPadding(java.lang.Integer bottomPadding)

  Deprecated. Replaced by `JRLineBox.setBottomPadding(Integer)`

  Specified by:
    `setBottomPadding` in interface `JRBox`

### getRightBorder

    public byte getRightBorder()

  Deprecated. Replaced by `JRLineBox.getRightPen()`

  Specified by:
    `getRightBorder` in interface `JRBox`

### getOwnRightBorder

    public java.lang.Byte getOwnRightBorder()

  Deprecated. Replaced by `JRLineBox.getRightPen()`

  Specified by:
    `getOwnRightBorder` in interface `JRBox`

### setRightBorder

    public void setRightBorder(byte rightBorder)

  Deprecated. Replaced by `JRLineBox.getRightPen()`

  Specified by:
    `setRightBorder` in interface `JRBox`

### setRightBorder

    public void setRightBorder(java.lang.Byte rightBorder)

  Deprecated. Replaced by `JRLineBox.getRightPen()`

  Specified by:
    `setRightBorder` in interface `JRBox`

### getRightBorderColor

    public java.awt.Color getRightBorderColor()

  Deprecated. Replaced by `JRLineBox.getRightPen()`

  Specified by:
    `getRightBorderColor` in interface `JRBox`

### getOwnRightBorderColor

    public java.awt.Color getOwnRightBorderColor()

  Deprecated. Replaced by `JRLineBox.getRightPen()`

  Specified by:
    `getOwnRightBorderColor` in interface `JRBox`

### setRightBorderColor

    public void setRightBorderColor(java.awt.Color rightBorderColor)

  Deprecated. Replaced by `JRLineBox.getRightPen()`

  Specified by:
    `setRightBorderColor` in interface `JRBox`

### getRightPadding

    public int getRightPadding()

  Deprecated. Replaced by `JRLineBox.getRightPadding()`

  Specified by:
    `getRightPadding` in interface `JRBox`

### getOwnRightPadding

    public java.lang.Integer getOwnRightPadding()

  Deprecated. Replaced by `JRLineBox.getOwnRightPadding()`

  Specified by:
    `getOwnRightPadding` in interface `JRBox`

### setRightPadding

    public void setRightPadding(int rightPadding)

  Deprecated. Replaced by `JRLineBox.setRightPadding(int)`

  Specified by:
    `setRightPadding` in interface `JRBox`

### setRightPadding

    public void setRightPadding(java.lang.Integer rightPadding)

  Deprecated. Replaced by `JRLineBox.setRightPadding(Integer)`

  Specified by:
    `setRightPadding` in interface `JRBox`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com